(* pour usage dans le toplevel *)
#load "absyntax.cmo";;
#load "parser.cmo";;
#load "lexer.cmo";;
#load "prabsyn.cmo";;
open Absyntax;;
open Absyn;;

let parse_file fn =
 try
  let ic = (open_in fn) in
  let lexbuf = Lexing.from_channel ic in 
  let ast = Parser.programme Lexer.token lexbuf
  in (close_in ic); ast
 with Lexer.Eof -> failwith "Unexpected end of stream"
;;

let parse_string s =
 try
  let lexbuf = Lexing.from_string s in 
  let ast = Parser.programme Lexer.token lexbuf
  in ast
 with Lexer.Eof -> failwith "Unexpected end of stream"
;;

let prast ast = Prabsyn.PrintAbsyn.print (stdout,ast);;
